# Invoices Object

> Source: https://truto.one/docs/api-reference/unified-accounting-api/invoices/

Schema for the `Invoices` resource in **Unified Accounting API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for invoices
- **`type`** _(string)_
  The type of the invoice
  Allowed: `bill`, `invoice`
- **`contact`** _(object)_
  The contact for whom the invoice is raised.
  - **`id`** _(string)_
    The unique identifier for the contact
  - **`name`** _(string)_
    The name of the contact
  - **`type`** _(string)_
    The type of the contact - vendor or customer.
- **`number`** _(string)_
  The number of the invoice
- **`issue_date`** _(string)_
  The issue date of the invoice
- **`due_date`** _(string)_
  The due date of the invoice
- **`paid_on_date`** _(string)_
  The paid on date of the invoice
- **`memo`** _(string)_
  The private note of the invoice
- **`company`** _(string)_
  The company the invoice belongs to
- **`currency`** _(string)_
  The currency of the invoice
- **`exchange_rate`** _(number)_
  The exchange rate of the invoice
- **`total_discount`** _(number)_
  The total discount of the invoice
- **`sub_total`** _(number)_
  The sub total of the invoice
- **`total_tax_amount`** _(number)_
  The total tax amount of the invoice
- **`balance`** _(number)_
  The remaining balance of the invoice
- **`payments`** _(array<string>)_
  List of payment IDs associated with the invoice
- **`line_items`** _(array<object>)_
  The line items of the invoice
  - **`id`** _(string)_
    The unique identifier for line item
  - **`name`** _(string)_
    The name of the line item
  - **`description`** _(string)_
    The description of the line item
  - **`item`** _(string)_
    The ID of the item
  - **`account`** _(string)_
    The ID of the account
  - **`quantity`** _(number)_
    The quantity of the line item
  - **`unit_price`** _(number)_
    The unit price of the line item
  - **`tax_rate`** _(string)_
    The ID of the tax rate
  - **`total_line_amount`** _(number)_
    The total line amount of the line item.
  - **`type`** _(string)_
    The type of the line item
  - **`tracking_categories`** _(array<object>)_
    Tracking categories of the line item
    - **`id`** _(string)_
      The ID of the tracking category
    - **`name`** _(string)_
      The name of the tracking category
    - **`option`** _(string)_
      The option of the tracking category
  - **`currency`** _(string)_
    The currency of the line item
  - **`exchange_rate`** _(number)_
    The exchange rate of the currency for the line item
- **`status`** _(string)_
  The status of the invoice
  Allowed: `draft`, `submitted`, `deleted`, `authorised`, `paid`, `voided`
- **`created_at`** _(string)_
  This represents the date when the invoice was created
- **`updated_at`** _(string)_
  This represents the date when the invoice was updated
- **`tracking_categories`** _(array<object>)_
  Tracking categories of the invoices
  - **`id`** _(string)_
    The ID of the tracking category
  - **`name`** _(string)_
    The name of the tracking category
  - **`option`** _(string)_
    The option of the tracking category
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/accounting/invoices](/docs/api-reference/unified-accounting-api/invoices/list) — List Invoices
- [POST /unified/accounting/invoices](/docs/api-reference/unified-accounting-api/invoices/create) — Create Invoices
- [GET /unified/accounting/invoices/{id}](/docs/api-reference/unified-accounting-api/invoices/get) — Get Invoices
- [DELETE /unified/accounting/invoices/{id}](/docs/api-reference/unified-accounting-api/invoices/delete) — Delete Invoices
- [PATCH /unified/accounting/invoices/{id}](/docs/api-reference/unified-accounting-api/invoices/update) — Update Invoices
